[Prev: LOCALDATEFMT] | [Resources][TOC] | [Next: LOCKDELAY]

# LOCK

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  N/A

Command-line Option

  `-lock`
  `-nolock`

## Description

When LOCK is On, MHonArc performs attempts to create a lock before processing an archive. When off, no lock is performed (contrast with FORCE).

WARNING | If LOCK is off, MHonArc will process the archive even if another MHonArc is active for the archive. This can lead to archive corruption.

A reason to turn off LOCK is if MHonArc is being invoked from another process (like Procmail) that has its own locking mechanism to insure multiple instances cannot be accessing the same archive at the same time.

## Default Setting

On.

## Resource Variables

N/A

## Examples

None.

## Version

2.3.0

## See Also

FORCE, LOCKDELAY, LOCKMETHOD, LOCKTRIES

[Prev: LOCALDATEFMT] | [Resources][TOC] | [Next: LOCKDELAY]